Subject: bug#25360: File mode specification errors during building

From: [email-masked] (Phillip Lord)
Date: Mon, 09 Jan 2017 13:06:40 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Glenn Morris <[email-masked]>
>> Date: Wed, 04 Jan 2017 15:28:26 -0500
>> 
>> In current master, the following errors occur during building:
>> 
>>   Converting cangjie-table.b5 to tsang-b5.el...
>>   File mode specification error: (wrong-type-argument stringp image-type-auto-detected-p)
>> 
>> (same for quick-b5.el, tsang-cns.el, quick-cns.el, PY.el, ZIRANMA.el)
>> 
>>   Converting CTLau.html to CTLau.el...
>>   File mode specification error: (void-function html-mode)
>> 
>> (same for CTLau-b5.el)
>> 
>> 
>> They don't actually seem to stop the build, but still they should not be
>> happening. (I would guess recent changes related to loaddefs generation
>> are the cause.)
>> 
>> 
>> See eg http://hydra.nixos.org/build/45973447/log/raw
>
> Phillip, could you please look into this?

Yes, that's caused by me (although I don't understand how yet).

I will look at it.

Phil